1

Topic: Installing on Ubuntu 18.04 - couple errors

I was having some errors installing on my Ubuntu droplet on digital ocean. 

I reverted back to php 7.1 and I confirmed mcrypt is installed - but still erroring.  Also I get an error about zoo but can't install that either.  Any thoughts?

root@mail:~/iRedMail-0.9.7# php -m | grep 'mcrypt'
mcrypt

root@mail:~/iRedMail-0.9.7# php -v
PHP 7.1.32-1+ubuntu18.04.1+deb.sury.org+1 (cli) (built: Sep  2 2019 13:28:37) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.1.0, Copyright (c) 1998-2018 Zend Technologies
    with Zend OPcache v7.1.32-1+ubuntu18.04.1+deb.sury.org+1, Copyright (c) 1999-2018, by Zend Technologies

root@mail:~/iRedMail-0.9.7# sudo bash iRedMail.sh
[ INFO ] Checking configuration file: /root/iRedMail-0.9.7/config ... [FOUND]
< Question > Use it for mail server setting? [y|N]y
[ INFO ] Use config file: /root/iRedMail-0.9.7/config for mail server setting.
[ INFO ] Import installation process status from file: /root/iRedMail-0.9.7/runtime/install.status.
[ INFO ] Installing package(s): postfix postfix-pcre mariadb-client mariadb-server postfix-mysql libdbd-mysql-perl php-json php-gd php-mcrypt php-curl mcrypt php-intl php-xml php-mbstring php-mysql nginx-full php-fpm dovecot-imapd dovecot-pop3d dovecot-lmtpd dovecot-managesieved dovecot-sieve dovecot-mysql amavisd-new libcrypt-openssl-rsa-perl libmail-dkim-perl clamav-freshclam clamav-daemon spamassassin altermime arj zoo nomarch cpio lzop cabextract p7zip-full rpm ripole libmail-spf-perl unrar-free pax lrzip python-sqlalchemy python-dnspython python-mysqldb python-pymysql python-jinja2 python-netifaces python-webpy python-beautifulsoup python-lxml python-pycurl uwsgi uwsgi-plugin-python python-bcrypt awstats fail2ban bzip2 acl patch cron tofrodos logwatch unzip bsdutils liblz4-tool
Reading package lists...
Building dependency tree...
Reading state information...
Package zoo is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

Package php-mcrypt is a virtual package provided by:
  php7.1-mcrypt 7.1.32-1+ubuntu18.04.1+deb.sury.org+1
  php7.0-mcrypt 7.0.33-11+ubuntu18.04.1+deb.sury.org+1
  php5.6-mcrypt 5.6.40-12+ubuntu18.04.1+deb.sury.org+1

E: Package 'php-mcrypt' has no installation candidate
E: Package 'zoo' has no installation candidate
<< ERROR >> Installation failed, please check the terminal output.
<< ERROR >> If you're not sure what the problem is, try to get help in iRedMail
<< ERROR >> forum: http://www.iredmail.org/forum/

2

Re: Installing on Ubuntu 18.04 - couple errors

Please use the latest iRedMail-0.9.9 instead of old "0.9.7".
https://www.iredmail.org/download.html

----

Does my reply help a little? How about buying me a cup of coffee ($5) as an encouragement?

buy me a cup of coffee